%global        debug_package %{nil}

Name: cockpit-msvsphere-security-audit
Version: 1.0.0
Release: 3%{?dist}
Summary: Cockpit MSVSphere plugin to setup aide
License: LGPL-2.1-or-later

Source0: https://git.inferitos.ru/internal/%{name}/archive/%{name}-%{version}.tar.xz
Source1: https://git.inferitos.ru/internal/${name}/archive/%{name}-node-%{version}.tar.xz

ExclusiveArch: %{nodejs_arches}
BuildRequires: nodejs >= 18
BuildRequires: make
BuildRequires: libappstream-glib
BuildRequires: gettext
BuildRequires: libappstream-glib-devel
BuildRequires: golang

Requires: cockpit-bridge
Requires: cockpit-msvsphere-base >= 1.0.1
Requires: screen
Requires: aide

Provides: bundled(npm(@patternfly/patternfly)) = 5.4.2
Provides: bundled(npm(@patternfly/react-core)) = 5.4.2
Provides: bundled(npm(@patternfly/react-icons)) = 5.4.2
Provides: bundled(npm(@patternfly/react-styles)) = 5.4.1
Provides: bundled(npm(@patternfly/react-table)) = 5.4.2
Provides: bundled(npm(@patternfly/react-tokens)) = 5.4.1
Provides: bundled(npm(attr-accept)) = 2.2.5
Provides: bundled(npm(file-selector)) = 2.1.2
Provides: bundled(npm(focus-trap)) = 7.5.4
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-dom)) = 18.3.1
Provides: bundled(npm(react-dropzone)) = 14.3.8
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react)) = 18.3.1
Provides: bundled(npm(scheduler)) = 0.23.2
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(tslib)) = 2.8.1

%description
Cockpit MSVSphere security-audit plugin

%prep
%autosetup -n %{name} -a 1
# ignore pre-built bundle in release tarball and rebuild it
# but keep it in RHEL/CentOS-8/9, as that has a too old nodejs
%if ! 0%{?rhel} || 0%{?rhel} >= 10
rm -rf dist
%endif

%build
NODE_ENV=production make
pushd src_go
GO111MODULE=off go build -o ../aide-parser aide-parser.go
GO111MODULE=off go build -o ../facl-limiter facl-limiter.go
popd

%install
%make_install PREFIX=/usr
install -D -m 0755 aide-parser %{buildroot}%{_bindir}/aide-parser
install -D -m 0755 facl-limiter %{buildroot}%{_bindir}/facl-limiter
install -D -m 0755 src_bash/aide_run.sh %{buildroot}%{_bindir}/aide_run.sh
install -D -m 0755 src_bash/rpm_run.sh %{buildroot}%{_bindir}/rpm_run.sh

# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%files
%license LICENSE dist/aide.js.LEGAL.txt
%{_datadir}/cockpit/*
%{_bindir}/aide-parser
%{_bindir}/facl-limiter
%{_bindir}/aide_run.sh
%{_bindir}/rpm_run.sh

%changelog
